Error Installing PHP PECL mailparse

fajryassin

Member
Oct 5, 2014
7
1
128
Beirut, Lebanon, Lebanon
cPanel Access Level
Root Administrator
I have this error when Io want to install mailparse

WARNING: channel "pecl.php.net" has updated its protocols, use "pecl channel-update pecl.php.net" to update

Warning: popen() has been disabled for security reasons in OS/Guess.php on line 241

Warning: fgets() expects parameter 1 to be resource, null given in OS/Guess.php on line 242

Warning: pclose() expects parameter 1 to be resource, null given in OS/Guess.php on line 251
downloading mailparse-3.0.3.tgz ...
Starting to download mailparse-3.0.3.tgz (940,370 bytes)
..........................................................................................................................................................................................done: 940,370 bytes
10 source files, building
running: phpize

Warning: popen() has been disabled for security reasons in PEAR/Builder.php on line 465
ERROR: failed to run `phpize'
 

cPanelLauren

Product Owner
Staff member
Nov 14, 2017
13,297
1,251
313
Houston
Hello,

Can you show me the options you have selected for the version of PHP that you're using? Specifically anything listed in disable_functions= in the PHP.INI file which can be found at WHM>>Software>MultiPHP INI Editor -> Editor Mode -> Select PHP Version
 
  • Like
Reactions: fajryassin